gmp_clrbit
gmp_com
GMP Functions
PHP Manual

# gmp_cmp

Compare numbers

### Description

int gmp_cmp ( resource `$a` , resource `$b` )

Compares two numbers.

### Parameters

`a`

  It can be either a GMP number resource, or a numeric string given that it is possible to convert the latter to a number.

`b`

  It can be either a GMP number resource, or a numeric string given that it is possible to convert the latter to a number.

### Return Values

Returns a positive value if a > b, zero if a = b and a negative value if a < b.

### Examples

Example #1 gmp_cmp example

`<?php
$cmp1 = gmp_cmp("1234", "1000"); // greater than
$cmp2 = gmp_cmp("1000", "1234"); // less than
$cmp3 = gmp_cmp("1234", "1234"); // equal to
echo "$cmp1 $cmp2 $cmp3\n";
?>`

The above example will output:

    1 -1 0